<template>
  <div class="timesheet-view">
    <h2 class="timesheet-header">Recent Activity</h2>
    <p v-if="error">{{ error }}</p>
    <div class="timesheets-list">
      <SingleTimesheet
        v-bind:key="t.id"
        v-for="t in timesheets"
        v-bind:title="t.title"
        v-bind:date="t.startingdate"
        v-bind:duration="t.duration"
      />
    </div>
  </div>
</template>

<script>
import SingleTimesheet from "./SingleTimesheet.vue";

export default {
  name: "Timesheets",
  data: function() {
    return {
      timesheets: [],
      error: null
    };
  },
  components: {
    SingleTimesheet
  },
  mounted: function() {
    this.$caller
      .getTimesheets(this.$route.params.projectId)
      .then(response => {
        this.timesheets = response.data;
        this.error = null;
      })
      .catch(err => {
        this.error = "Error : " + err;
      });
    window.setInterval(() => {
      this.$caller
        .getTimesheets(this.$route.params.projectId)
        .then(response => {
          this.timesheets = response.data;
          this.error = null;
        })
        .catch(err => {
          this.error = "Error : " + err;
        });
    }, 30000);
  }
};
</script>

<style scoped>
.timesheet-view {
  border-radius: 5px;
}

.timesheet-header {
  margin-top: 10px;
  margin-bottom: 10px;
}
</style>
